Bug 1910049 - UPI: ansible-galaxy is not supported
Summary: UPI: ansible-galaxy is not supported
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer
Version: 4.7
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.7.0
Assignee: Pierre Prinetti
QA Contact: weiwei jiang
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-12-22 13:22 UTC by Pierre Prinetti
Modified: 2021-02-24 15:48 UTC (History)
0 users

Fixed In Version:
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-02-24 15:48:02 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift installer pull 4506 0 None closed Bug 1910049: Revert "openstack UPI: Use ansible-galaxy" 2021-01-13 10:55:43 UTC
Red Hat Product Errata RHSA-2020:5633 0 None None None 2021-02-24 15:48:56 UTC

Description Pierre Prinetti 2020-12-22 13:22:38 UTC
OpenStack playbooks recently started using ansible-galaxy[1].

Ansible-galaxy is an upstream project; supported workflows should be based on downstream code.

Moreover, ansible-galaxy didn't solve the Nova microversion-mismatch problem for which it was introduced.

[1]: https://github.com/openshift/installer/pull/4379

Comment 2 weiwei jiang 2020-12-28 07:07:34 UTC
Verified with 4.7.0-0.nightly-2020-12-21-131655.

Comment 5 errata-xmlrpc 2021-02-24 15:48:02 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: OpenShift Container Platform 4.7.0 security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:5633


Note You need to log in before you can comment on or make changes to this bug.